<?php

/*

Template Name: Sign Up Page

*/

 get_header();?>

 

<section id="contentPart" class="contentPart innerPageContent">

      <div id="primary" class="content-area">

		<main id="main" class="site-main">

  

 <div class="cotentPart"> <div class="cf">

  

            <div class="PageTitleSection">

  <div class="container">

  <h2>Sign Up</h2>

 </div>

 </div>

<section id="contentPage">

<div class="pageMiddleContWrap bgGray">

<div class="container">

<div class="formSectionWrap">

<div class="loadingWrap">

	<p>Step 1 of 3</p>

    <div class="progressBar"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/progress-bar.png" width="1168" height="51" alt="" class="img-responsive"></div>

</div>

<div class="memberFormWrap memberFormSignup">

<h2>New Affiliate's</h2>

<form id="register" class="newMemberForm" action="/proccessform.php?actions=addvendors" name="addcustomer" onsubmit="return AddRecord();" method="post">
	<input id="web_from" value="Website" name="web_from" type="hidden" />	
	
	<input id="Billing_City" value="" name="city" type="hidden" />
	<input id="Billing_State" value="" name="state" type="hidden" />
	<input id="postal_code" value="" name="zip" type="hidden" />
<div class="row">
<div class="col-sm-6 form-group">
<label>Company Name</label>
<input type="text" class="form-control" placeholder="Business Name" id="business_name" name="business_name">
</div>
<div class="col-sm-6 form-group">
<label>Public Display Name (DBA)</label>
<input type="text" class="form-control" placeholder="Public Display Name (DBA)" id="publicdisplaydba" name="publicdisplaydba">
</div>
</div>
<div class="row">
<div class="col-sm-12 form-group">
<label>Business Address</label>
<input type="text" class="form-control" placeholder="Address" id="Billing_Address" onfocus="geolocate()" name="address">
</div>

</div>
<div class="row">
<div class="col-sm-6 form-group">
<label>Company Website</label>
<input type="text" class="form-control" placeholder="Company Website" id="web_url" name="web_url">
</div>
<div class="col-sm-6 form-group">
<div class="row pad8">
<div class="col-sm-6"><label>Business Phone</label>
<div class="row pad2">
<div class="col-xs-3 form-group">
<input type="hidden" class="form-control" id="phone" name="phone">
<input type="text" class="form-control" maxlength="3" size="3" id="phone1" name="phone1">
</div>
<div class="col-xs-3 form-group">
<input type="text" class="form-control" maxlength="3" size="3" id="phone2" name="phone2">
</div>
<div class="col-xs-6 form-group">
<input type="text" class="form-control" maxlength="4" size="4" id="phone3" name="phone3">
</div>
</div>
</div>
<div class="col-sm-6"><label>Business Email</label>
<input type="text" class="form-control" placeholder="Email Address" id="email" name="email">
</div>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-6">
<div class="row pad8">
<div class="col-sm-6 form-group"><label>Preffered Contact's First Name</label>
<input type="text" class="form-control" placeholder="First Name" id="firstname" name="firstname">
</div>
<div class="col-sm-6 form-group"><label>Last Name</label>
<input type="text" class="form-control" placeholder="Last Name" id="lastname" name="lastname">
</div>
</div>
</div>
<div class="col-sm-6 form-group">
<div class="row pad8">
<div class="col-sm-6"><label>Preffered Contact's Phone No.</label>
<div class="row pad2">
<div class="col-xs-3 form-group">
<input id="prefferedcontactphone" name="prefferedcontactphone" type="hidden" />
<input type="text" class="form-control" maxlength="3" size="3" id="prefferedcontactphone1" name="prefferedcontactphone1">
</div>
<div class="col-xs-3 form-group">
<input type="text" class="form-control" maxlength="3" size="3" id="prefferedcontactphone2" name="prefferedcontactphone2">
</div>
<div class="col-xs-6 form-group">
<input type="text" class="form-control" maxlength="4" size="4" id="prefferedcontactphone3" name="prefferedcontactphone3">
</div>
</div>
</div>
<div class="col-sm-6"><label>Preffered Contact's Email</label>
<input type="text" class="form-control" placeholder="Preffered Contact's Email" id="prefferedcontactemail" name="prefferedcontactemail">
</div>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-6 form-group">
<label>Number of Insured Vehicles</label>
<select class="form-control"id="insuredvehicles" name="insuredvehicles">
    <option value="">Number of Insured Vehicles</option>
    <option value="01-02">01-02</option>
    <option value="03-05">03-05</option>
    <option value="06-08">06-08</option>
    <option value="07-12">07-12</option>
    <option value="03-20">13-20</option>
</select>
</div>
<div class="col-sm-6 form-group">
<label>Years Of Business</label>
<select id="years_in_business" name="years_in_business" class="form-control">
   <option value="">Years Of Business</option>
   <option value="01-02">01-02</option>
   <option value="03-05">03-05</option>
   <option value="06-08">06-08</option>
   <option value="07-12">07-12</option>
   <option value="03-20">13-20</option>
</select>
</div>
</div>
<div class="row">
<div class="col-sm-6">
  &nbsp;
  </div>
</div>
<div class="btnRow text-center">
<input type="submit" class="submitBtn" value="Next">
</div>
<p>We will contact you shortly for a brief phone conversation. If we're both a fit for each other, to do business together, we'll ask you to send your insurance policy. Then you can update your vehicles &amp; rates.</p>
</form>

</div>

</div>



</div>



</div>

  

     </section>

              </div>

              </div>



		</main><!-- .site-main -->

	</div>

   </section> 



<!--/.contentPart--> 
 <script language="JavaScript">
	function AddRecord()
	{	
		var IsValid = true;
		var firstname = $('#firstname').val();
		if(firstname == ''){
			$('#firstname').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#firstname').css("border", "1px solid #a1a1a1");
		}
		var email = $('#email').val();
		if(email == ''){
			$('#email').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#email').css("border", "1px solid #a1a1a1");
			var eml = new String(email); 
			var val1 = eml.indexOf('@'); 
			var val2 = eml.indexOf("."); 
			if ((val1 == -1) || (val2 == -1)){ 
				$('#email').css("border", "2px solid #FF0000"); 
				IsValid = false; 
			} 
		}
		var lastname = $('#lastname').val();
		if(lastname == ''){
			$('#lastname').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#lastname').css("border", "1px solid #a1a1a1");
		}
		
		var phone1 = $('#phone1').val();
		if(phone1 == ''){
			$('#phone1').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#phone1').css("border", "1px solid #a1a1a1");
		}
		var phone2 = $('#phone2').val();
		if(phone2 == ''){
			$('#phone2').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#phone2').css("border", "1px solid #a1a1a1");
		}
		var phone3 = $('#phone3').val();
		if(phone3 == ''){
			$('#phone3').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#phone3').css("border", "1px solid #a1a1a1");
		}
		$('#phone').val(phone1+phone2+phone3);
		
		var prefferedcontactphone1 = $('#prefferedcontactphone1').val();
		var prefferedcontactphone2 = $('#prefferedcontactphone2').val();
		var prefferedcontactphone3 = $('#prefferedcontactphone3').val();
		$('#prefferedcontactphone').val(prefferedcontactphone1+prefferedcontactphone2+prefferedcontactphone3);
		var business_name = $('#business_name').val();
		if(business_name == ''){
			$('#business_name').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#business_name').css("border", "1px solid #a1a1a1");
		}
		var insuredvehicles = $('#insuredvehicles').val();
		if(insuredvehicles == ''){
			$('#insuredvehicles').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#insuredvehicles').css("border", "1px solid #a1a1a1");
		}
		var years_in_business = $('#years_in_business').val();
		if(years_in_business == ''){
			$('#years_in_business').css("border", "2px solid #FF0000");
			IsValid = false;
		}
		else{
			$('#years_in_business').css("border", "1px solid #a1a1a1");
		}
		return IsValid;	
	}
</script> 
 <?php get_footer();?>